#PIC24 Mikromedia HID Bootloader#

### What is this repository for? ###

* This repository contains the source code for a cross platform version of the HID Bootloader designed to work with the popular PIC24 Mikromedia boards featured in the book "Graphics, Touch, Sound and USB" (http://blog.flyingpic24.com/gtsu)
* The project was born out of the lack of support of the Mikroelektronika HID Bootloader for OS X and Linux (currently available only on Windows)
* The application is written in Python and uses only the standard "Tkinter" GUI library for maximum portability across OS X, Linux and Windows. 
* Support for other Mikromedia versions are currently in development including (PIC24EP, PIC32, PIC32 Plus…)
* The application can run in command line mode as well as in GUI mode (use the -gui command line switch)

Dependencies: 

* Python 2.6 or 2.7 
* Tkinter (for the GUI)
* HID API wrapper (for easy USB access)

### Who do I talk to? ###

* Please do not hesitate to contact me directly at: pilot@flyingpic24.com

All contributors are welcome!
